Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
Accumulo >> mail # user >> Installing Accumulo via deb file


Copy link to this message
-
Installing Accumulo via deb file
Is there a document discussing how to install Accumulo via deb file?

I'm fairly ignorant of package installation. Mostly I install from source.
But today I downloaded accumulo-1.5.1-bin.deb to upgrade a v1.5.0
installation.

I ran into an issue that hadoop and zookeeper were not installed via
packages. Can 'install from source' and 'install from deb' work together?

vagrant@affy-slave1:~$ sudo dpkg -i /vagrant/accumulo-1.5.1-bin.deb
Selecting previously unselected package accumulo.
(Reading database ... 55680 files and directories currently installed.)
Unpacking accumulo (from .../vagrant/accumulo-1.5.1-bin.deb) ...
dpkg: dependency problems prevent configuration of accumulo:
 accumulo depends on hadoop; however:
  Package hadoop is not installed.
 accumulo depends on zookeeper; however:
  Package zookeeper is not installed.
dpkg: error processing accumulo (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 accumulo

 
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB